ECHO OFF
CLS 
ECHO ------------------------------------------------------------------
ECHO This utility installs the BATTLEZ animation onto your hard disk.
ECHO .
ECHO The syntax is:
ECHO .
ECHO            INSTALL [source]: [destination]: 
ECHO .
ECHO where [source]: is the drive you are copying from    
ECHO and where [desination]: is the drive you are copying to.    
ECHO ------------------------------------------------------------------
IF "==%1" GOTO NOSOURCE
IF "==%2" GOTO NODEST
ECHO .
ECHO The program will be installed in a subdirectory named BATTLEZ. 
ECHO .
ECHO Insert Disk 1 in drive %1:  (Disk 1 has the file BATTLEZ1.EXE on it.)
ECHO .
ECHO Press CTRL-BREAK to Abort or
PAUSE 
%2:
IF NOT ERRORLEVEL 0 GOTO FAILURE
CD\
IF NOT ERRORLEVEL 0 GOTO FAILURE
MD BATTLEZ
IF NOT ERRORLEVEL 0 GOTO FAILURE
CD BATTLEZ
IF NOT ERRORLEVEL 0 GOTO FAILURE
%1:
IF NOT EXIST BATTLEZ1.EXE GOTO FAILURE
COPY BATTLEZ1.EXE %2:/V
IF NOT ERRORLEVEL 0 GOTO FAILURE
ECHO Insert Disk 2 in drive %1:  (Disk 2 has the file BATTLEZ2.EXE on it.)
PAUSE
COPY BATTLEZ2.EXE %2:/V
%2:
IF NOT EXIST BATTLEZ2.EXE GOTO FAILURE
BATTLEZ1 >NUL
IF NOT ERRORLEVEL 0 GOTO FAILURE
BATTLEZ2 >NUL
IF NOT ERRORLEVEL 0 GOTO FAILURE
DEL BATTLEZ1.EXE
DEL BATTLEZ2.EXE
IF NOT ERRORLEVEL 0 GOTO FAILURE
ECHO ------------------------------------------------------------------
ECHO -         BATTLEZ has been successfully installed.               -
ECHO -         Type "RUNBATL <ENTER>" to start the animation.         -
ECHO ------------------------------------------------------------------
GOTO END
:NOSOURCE
ECHO ------------------------------------------------------------------
ECHO -         NO SOURCE DRIVE SPECIFIED.  UNABLE TO CONTINUE.        -
ECHO ------------------------------------------------------------------
GOTO END
:NODEST
ECHO ------------------------------------------------------------------
ECHO -      NO DESTINATION DRIVE SPECIFIED.  UNABLE TO CONTINUE.      -
ECHO ------------------------------------------------------------------
GOTO END
:FAILURE
ECHO ------------------------------------------------------------------
ECHO -   An error occurred.  The BATTLEZ was not installed properly.  -
ECHO ------------------------------------------------------------------
:END
ECHO ON

